%define fversion %{version}

Summary:	Free Audio Editor With Effects/Analysis Tools
Name:		audacity
Version:	2.0.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Editors and Converters
URL:		http://audacity.sourceforge.net/
Source0:	http://audacity.googlecode.com/files/%{name}-minsrc-%{fversion}.tar.xz
Patch0:		audacity-2.0.1-desktopentry.patch
Patch5:		audacity-system-libs.patch
#gw use Alsa by default
Patch6:		audacity-2.0.4-alsa-by-default.patch
BuildRequires:	autoconf2.5
BuildRequires:	fftw-devel >= 2.1.4
BuildRequires:	gettext-devel
BuildRequires:	imagemagick
BuildRequires:	libalsa-devel
BuildRequires:	libflac++-devel
BuildRequires:	libjack-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libogg-devel
BuildRequires:	cmake
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	soundtouch-devel >= 1.3.0
BuildRequires:	speex-devel
BuildRequires:	twolame-devel
BuildRequires:	wxgtku2.8-devel >= 2.8.10
BuildRequires:	zlib-devel
BuildRequires:	vamp-plugin-sdk-devel
BuildRequires:	libexpat-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	lv2-devel
BuildRequires:	lilv-devel
#for compressing the help file:
BuildRequires:	zip
Obsoletes:	hackaudacity
Suggests: %mklibname lame 0

%description
Audacity is a program that lets you manipulate digital audio waveforms.

In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.

%prep
%setup -q -n %{name}-src-%{fversion}
%patch0 -p1 -b .desktopentry
%patch5 -p1 -b .system-libs
%patch6 -p1 -b .alsa-by-default

chmod 644 *.txt
aclocal -I m4
autoconf

%build
%configure2_5x \
    --enable-optimise \
    --enable-unicode \
    --with-ffmpeg=system \
    --disable-dynamic-loading \
    --with-vorbis=system \
    --with-libmad=system \
    --with-libsndfile=system \
    --with-id3tag=system \
    --with-soundtouch=system \
    --with-lv2=system \
%ifnarch %ix86 x86_64
    --enable-sse=no \
%endif
    --with-libtwolame=system
%make

%install
%makeinstall_std

%find_lang %{name}

#clean uneeded installed but not packaged
rm -rf %{buildroot}%{_docdir}/*

#gw work around bug #52526
mkdir -p %{buildroot}%{_datadir}/%{name}/help/manual

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*
%{_datadir}/appdata/audacity.appdata.xml


%changelog
* Thu Oct 30 2014 cjw <cjw> 2.0.6-1.mga4
+ Revision: 794658
- 2.0.6
- build with system ffmpeg
- also use system lv2

  + zezinho <zezinho>
    - version 2.0.5 fixes #12936

* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-3.mga4
+ Revision: 534214
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 fwang <fwang> 2.0.4-2.mga4
+ Revision: 476575
- disable ffmpeg build

* Mon Sep 09 2013 fwang <fwang> 2.0.4-1.mga4
+ Revision: 476570
- more linkage fix
- another link fix
- new version 2.0.4

* Sun Apr 07 2013 rtp <rtp> 2.0.3-2.mga3
+ Revision: 408953
- disable sse build on non x86

* Wed Mar 27 2013 dams <dams> 2.0.3-1.mga3
+ Revision: 405757
- new version 2.0.3

* Tue Feb 12 2013 fwang <fwang> 2.0.2-4.mga3
+ Revision: 398017
- disable ffmpeg build till upstream fix building with recent ffmpeg
- build with ffmpeg (bug#9043)

* Fri Jan 11 2013 umeabot <umeabot> 2.0.2-3.mga3
+ Revision: 346578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 zezinho <zezinho> 2.0.2-2.mga3
+ Revision: 318978
- change group

  + fwang <fwang>
    - drop old requires

* Sat Aug 25 2012 fwang <fwang> 2.0.2-1.mga3
+ Revision: 283781
- new version 2.0.2

* Fri Jun 29 2012 fwang <fwang> 2.0.1-1.mga3
+ Revision: 264845
- update brs
- new version 2.0.1

* Wed Apr 18 2012 dams <dams> 2.0.0-1.mga2
+ Revision: 231438
- new version 2.0.0
- rediff patch

* Tue Jan 24 2012 zezinho <zezinho> 1.3.14-1.mga2
+ Revision: 200651
- patch to link to pthread
- patch to fix ffmpeg
- patch to fix gtypes
- rediff patch
- new version

* Mon Sep 19 2011 fwang <fwang> 1.3.13-2.mga2
+ Revision: 145289
- fix build with latest ffmpeg
- rebuild for new libpng

* Tue Jun 07 2011 ahmad <ahmad> 1.3.13-1.mga2
+ Revision: 101629
- Update to 1.3.13
- Rediff the desktopentry patch
- Drop patch1,11
- Update configure options (just '--with-portaudio' works)

* Tue Mar 08 2011 ennael <ennael> 1.3.12-3.mga1
+ Revision: 66674
- clean spec file
- imported package audacity

